

  <?php
	include_once("../header.php");
        include_once("../php/config.php");
        $sql = mysql_query("select * from egresos where fecha='$hoy' and cliente like '%".$_GET['filtro']."%'") or die(mysql_error());


		$cuentas = mysql_query("select * from enlace_cuentas") or die(mysql_error());
$otros_egresos = @mysql_result($cuentas, 0, "otros_egresos");


$sql5810 = mysql_query("select * from login where nombre='".$_COOKIE['usuario']."'") or die(mysqli_error($con));
$estado_caja = @mysql_result($sql5810, 0, "estado_caja");



		if($estado_caja!="Abierta" and $_COOKIE["nivel"]=="Cajero"){
			header("location: estado_caja.php");
		}


		if($estado_caja!="Abierta" and $_COOKIE["nivel"]=="Almacen"){
			header("location: estado_caja.php");
		}

	?>
 <style>
  .form-control{
    font-size: 13px;
  }


b{
    font-size: 18px;
  }

  th{
    font-size:18px;
    text-align: left;
  }

    td{
    font-size:13px;
  }
</style>
 <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
    window.location.href="egresos.php?filtro="+t;
   }
 </script>
   <div class="container" style="background:white; padding:15px">
  
<span class="text-primary h2"><i class="bi bi-cash-coin"></i> Gastos del dia</span>
<hr>
     
        
		<div class="row">
			<div class="col-md-12">
		

  <div class="row">
	<div class="col-md-2 mt-2 mb-2">
	    <a class="btn btn-success" href="#modalEgreso" data-toggle="modal"><i class="bi bi-cash-coin"></i> Registrar un gasto</a>
	</div>
	
	<div class="col-md-3   mt-2 mb-2"> 
           <input type="search" id="txt_buscar" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['filtro']?>">
       </div>   

        <div class="col-md-3   mt-2 mb-2"> 
            
                  <a class="btn btn-default" href="#" onClick="filtrar()"><i class="bi bi-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>

            <a class="btn btn-default" href="../menu/menu.php"><i class="bi bi-undo"></i> Salir</a>
       </div>
  </div>

       
				<div class="table-responsive border p-3">
					<table class="table table-hover" data-page-length='8'>
						
							<th>No. egreso</th>
							<th>Fecha</th>
              <th>Cliente</th>
             
              <th>Monto</th>
              <th>usuario</th>
			  <td>--</th>
              <th>Editar</th>
						
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $id = $r["id"];
              $c++;
              $total+=$r["monto"];
              ///$balance+=$r["balance"];
              ///$costo+=$r["costo"];
              ///$ganancia+=$r["total"] - $costo;
			  
              ?>
							<tr>
								<td><?php echo $r["id"]?></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])?></span></td>
								<td><i class="bi bi-stickies"></i> <?php echo $r["pagado_a"]?></td>
                 <td><?php echo decimal($r["monto"])?></td>
                <td><?php echo $r["usuario"]?></td>
               
             
               <td><a class="btn btn-success" href="javascript:void(0)" onClick="reimprimir('<?php echo $id?>')" ><i class="bi bi-printer"></i> Reimprimir</a></td>
               <td><a class="btn btn-info" href="javascript:void(0)" onClick="ver('<?php echo $id?>')" ><i class="bi bi-pen"></i> Ver</a>
               </td>
							</tr>
                                                        <?php }?>
						</tbody>
            <tfoot>
              <br>
              <th>
                Cant. egreso: <?php echo $c?>
              </th>
              <th class="text-success">
                Total: <?php echo decimal($total)?>
              </th>

              <th>
                
              </th>

              <th class="text-success">
               
              </th>
            </tfoot>
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>


<!---Modal egreso-->
<div class="modal" id="modalEgreso" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h4 class="modal-title text-primary" id="exampleModalLabel"><i class="bi bi-cash-coin"></i> Registro de egreso</h4>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Id</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  disabled class="form-control mb-2 font-weight-bolde" id="id" name="id" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Monto</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="number"  class="form-control mb-2" id="monto" name="monto" value="">
          </div>
        </div>
		
		 <div class="row mt-2">
          <label for="codigo" class="col-sm-3 col-form-label" >Moneda</label>
          <div class="col-sm-3">
            <select id="moneda">
				<option value=""></option>
				<option value="PESOS">PESOS</option>
				<option value="GOURDE">GOURDE</option>
				<option value="DOLAR">DOLAR</option>
			</select>
          </div>
        </div>
        
        <div class="row mt-2">
         <div class="col-md-3">
       
            Entregado a:
          </div>
          <div class="col-md-9">
           <input autocomplete="off" type="text"  class="form-control mb-2" id="clientes" name="clientes" value="">

          </div>
        </div>
		
		  <div class="row">
         <div class="col-md-3">
       
           Tipo
          </div>
          <div class="col-md-9">
            <select class="form-control  mb-2 btn-grabar" id="tipo" onClick="addTipo(this.value)">

              <option value="" selected>Sel. tipo egreso</option>
			  <option value="Deposito banco">Deposito banco</option>
			  <option value="Flete">Pago carga chofer</option>
			  <option value="Nomina">Pago nomina empleado</option>
			   <option value="Reajuste">Reajuste caja</option>
			   <option value="Faltante">Faltante en caja</option>
			   <option value="Trabajo">Pago a trabajador (no empleado)</option>
			   <option value="Compra">Compra a suplidor</option>
			   <option value="Otros">Otros</option>
              
            </select>
          </div>
        </div>
		

        <div class="row">
		 <div class="col-md-3">
         Concepto
		 </div>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2" id="concepto" name="concepto" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="grabar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>


	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

        

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>
 <input type="hidden" value="<?php echo $hoy?>" id="curFecha">
        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>

function addTipo(t){
	$("#concepto").val(t+", ")
}
$("#delete").hide();
id_producto="";
function ver(id){
  $("#modalEgreso").modal("show")
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from egresos where id='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    ///id_producto= rs.data[i].id_producto;             
                    
                    $("#monto").val(rs.data[i].monto);
                    
                    $("#id").val(rs.data[i].id);
                    $("#concepto").val(rs.data[i].concepto);
                   
                    
                   $("#clientes").val(rs.data[i].cliente);
					$("#tipo option[value='"+rs.data[i].tipo+"']").prop('selected', true);

				}
                
            })
        }

secuencia = "00-00";
  function grabar(){
    

	 if(!confirm("Seguro(a) que desea registrar este egreso?")){return;}                   
      
     var id = $("#id").val();
     var monto = $("#monto").val();
     var cliente = $("#clientes").val();
     var concepto = $("#concepto").val();
	   var moneda = $("#moneda").val();
	var tipo = $("#tipo").val();
  var acuenta = "<?php echo $otros_egresos?>";
  var curFecha = $("#curFecha").val()
  var curHora = "<?php echo $hora?>"



     if(cliente=="" || monto=="" || concepto=="" || moneda==""){alert('Faltan datos'); return}
    var sql="";      
                  
        if(id==""){
            sql="INSERT INTO egresos set ";
            sql+=" monto='"+monto+"'";
			 sql+=", moneda='"+moneda+"'";
            sql+=", cliente='"+cliente+"'";
			sql+=", pagado_a='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
			sql+=", tipo='"+tipo+"'";
            sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
           
            sql+=", fecha='"+curFecha+"'"; 
            sql+=", hora='"+curHora+"'"; 
		

        }else{
            sql="UPDATE egresos set";
            sql+=" monto='"+monto+"'";
            sql+=", cliente='"+cliente+"'";
            sql+=", concepto='"+concepto+"'";
			sql+=", tipo='"+tipo+"'";
            sql+=", secuencia='"+secuencia+"'";
            sql+=", usuario='"+myUser+"'";
			sql+=", moneda='"+moneda+"'";
           
             sql+=", fecha='"+curFecha+"'"; 
            sql+=", hora='"+curHora+"'"; 
            sql+=" WHERE id='"+id+"'";
			
           
            
        }
		
$("button").prop("disabled", true);
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $(".modal").modal('hide');
		 updateCuenta(acuenta, monto)
         imprimir()
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
	    $("button").prop("disabled", false);
       
    })
}
  
function updateCuenta(acuenta, total){
	  try{
            var sql="";                            
            sql="UPDATE cuentas set balance=balance - '"+total+"' where numero_cuenta='"+acuenta+"'";
            _enviar("../php/update.php",{"sql":sql})
            .done(function( data ){
                ////var rs = JSON.parse(data);
				if(data=="1"){
					/////
				}else{
					alert(data)
				}
                
            })


}catch(e){
  alert(e.message)
}
}



 function borrar(){
   var id=$("#id").val()
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id='"+id+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $(".modal").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
		
        dstry();
       // id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
       // $("#loading").modal('hide');
    })
}

function reimprimir(id){

    window.open('recibo_egreso.php?id='+id, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

}

function imprimir(){
$.get("ultimo_registro.php?usuario="+myUser+"&funcion=egresos",function(data,tx)
{
  if(tx=="success"){
    var id_ = data;
    window.open('recibo_egreso.php?id='+id_, '_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=800,height=700');

  }
})
  
}

////checkCaja()

function checkCaja(){
    var sql = "select * from cajas where nombre='" + myCaja + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
         var estado="";
        for (var i in rs.data) {
          
          estado = rs.data[i].estado;
		  
		  
        }
       if(estado!="Abierta"){
		   window.location.href="estado_caja.php";
	   }

      })
}
    
         
        </script>

